WebUI Deprecation Warning

Suggest, post, or discuss plugins for Deluge
Post Reply
neo
Member
Member
Posts: 16
Joined: Tue Sep 29, 2020 9:39 am

WebUI Deprecation Warning

Post by neo »

Any help with this? Enabling the WebUI plugin causes this.

Could someone report this bug, I don't have an account:
https://dev.deluge-torrent.org/report/1


Code: Select all

deluge_webui:0: DeprecationWarning: 

The plugin WebUi is not using the "deluge.plugins" namespace.
In order to avoid package name clashes between regular python packages and
deluge plugins, the way deluge plugins should be created has changed.
If you're seeing this message and you're not the developer of the plugin which
triggered this warning, please report to it's author.
If you're the developer, please take a look at the plugins hosted on deluge's
git repository to have an idea of what needs to be changed.
System Specs:
  • Docker: linuxserver/deluge
  • deluged 2.0.3-2-201906121747-ubuntu18.04.1
  • Python: 3.6.9
  • libtorrent: 1.1.5.0
  • OS: Linux 5.4.151-odroidxu4

Thanks in advance
mhertz
Moderator
Moderator
Posts: 1328
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: WebUI Deprecation Warning

Post by mhertz »

I wanted to be able to reproduce myself first, before reporting, but couldn't, so could you please explain in more detail, thanks. Does it enable still, but just shows this error, and where i.e. in debug-log or terminal.

I tested on a ubuntu VM with your exact docker image and could enable the webUI plugin fine from a local installed GTKUI connecting to deluged from the docker as thinclient, and without seeing this messages, Also same on my linux install without docker, testing 2.0.3 and develop branch both.

Thanks.
neo
Member
Member
Posts: 16
Joined: Tue Sep 29, 2020 9:39 am

Re: WebUI Deprecation Warning

Post by neo »

mhertz wrote: Thu Oct 28, 2021 12:23 am I wanted to be able to reproduce myself first, before reporting, but couldn't, so could you please explain in more detail, thanks. Does it enable still, but just shows this error, and where i.e. in debug-log or terminal.
It works as expected but throws the error. Error is from terminal (docker log)
Post Reply